CONV_S32_U32(9)

NAME

conv_s32_u32 - Convert a value from s32 to u32

SYNOPSIS

loadrt conv_s32_u32 [count=N|names=name1[,name2...]]

FUNCTIONS

conv-s32-u32.N
    Update 'out' based on 'in'

PINS

conv-s32-u32.N.in s32 in

conv-s32-u32.N.out u32 out

conv-s32-u32.N.out-of-range bit out
    TRUE when 'in' is not in the range of u32

PARAMETERS

conv-s32-u32.N.clamp bit rw
    If TRUE, then clamp to the range of u32. If FALSE, then allow the value to "wrap around".

AUTHOR

Jeff Epler

LICENSE

GPL